export function PostgreSQLLexerBase(input: any): any;
export class PostgreSQLLexerBase {
    constructor(input: any);
    pushTag(): void;
    isTag(): any;
    popTag(): void;
    getInputStream(): any;
    checkLA(c: any): boolean;
    charIsLetter(): any;
    HandleNumericFail(): void;
    HandleLessLessGreaterGreater(): void;
    UnterminatedBlockCommentDebugAssert(): void;
    CheckIfUtf32Letter(): any;
}
